"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  NavigatorViewConstants: true,
  BackButtonDisplayMode: true,
  LargeTitleDisplayMode: true,
  NavigationBarVisibilityMode: true,
  StatusBarStyle: true,
  HeaderHeightValue: true,
  RouteConstantsObject: true,
  NavigatorConstantsObject: true,
  ImageResolvedAssetSource: true,
  ImageRectConfig: true,
  ImageGradientConfig: true,
  DynamicColor: true,
  Offset: true,
  ImageTypes: true,
  ImageItemConfig: true
};
Object.defineProperty(exports, "NavigatorViewConstants", {
  enumerable: true,
  get: function () {
    return _RNINavigatorView.RNINavigatorViewConstants;
  }
});
Object.defineProperty(exports, "BackButtonDisplayMode", {
  enumerable: true,
  get: function () {
    return _RNINavigatorRouteView.BackButtonDisplayMode;
  }
});
Object.defineProperty(exports, "LargeTitleDisplayMode", {
  enumerable: true,
  get: function () {
    return _RNINavigatorRouteView.LargeTitleDisplayMode;
  }
});
Object.defineProperty(exports, "NavigationBarVisibilityMode", {
  enumerable: true,
  get: function () {
    return _RNINavigatorRouteView.NavigationBarVisibilityMode;
  }
});
Object.defineProperty(exports, "StatusBarStyle", {
  enumerable: true,
  get: function () {
    return _RNINavigatorRouteView.StatusBarStyle;
  }
});
Object.defineProperty(exports, "HeaderHeightValue", {
  enumerable: true,
  get: function () {
    return _RNINavigatorRouteHeaderView.HeaderHeightValue;
  }
});
Object.defineProperty(exports, "RouteConstantsObject", {
  enumerable: true,
  get: function () {
    return _RNINavigatorRouteViewModule.RouteConstantsObject;
  }
});
Object.defineProperty(exports, "NavigatorConstantsObject", {
  enumerable: true,
  get: function () {
    return _RNINavigatorViewModule.NavigatorConstantsObject;
  }
});
Object.defineProperty(exports, "ImageResolvedAssetSource", {
  enumerable: true,
  get: function () {
    return _MiscTypes.ImageResolvedAssetSource;
  }
});
Object.defineProperty(exports, "ImageRectConfig", {
  enumerable: true,
  get: function () {
    return _MiscTypes.ImageRectConfig;
  }
});
Object.defineProperty(exports, "ImageGradientConfig", {
  enumerable: true,
  get: function () {
    return _MiscTypes.ImageGradientConfig;
  }
});
Object.defineProperty(exports, "DynamicColor", {
  enumerable: true,
  get: function () {
    return _MiscTypes.DynamicColor;
  }
});
Object.defineProperty(exports, "Offset", {
  enumerable: true,
  get: function () {
    return _MiscTypes.Offset;
  }
});
Object.defineProperty(exports, "ImageTypes", {
  enumerable: true,
  get: function () {
    return _MiscTypes.ImageTypes;
  }
});
Object.defineProperty(exports, "ImageItemConfig", {
  enumerable: true,
  get: function () {
    return _MiscTypes.ImageItemConfig;
  }
});

require("./Globals");

var _NavigatorView = require("./components/NavigatorView");

Object.keys(_NavigatorView).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _NavigatorView[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _NavigatorView[key];
    }
  });
});

var _NavigatorRouteView = require("./components/NavigatorRouteView");

Object.keys(_NavigatorRouteView).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _NavigatorRouteView[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _NavigatorRouteView[key];
    }
  });
});

var _RouteHeaderView = require("./components/RouteHeaderView");

Object.keys(_RouteHeaderView).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _RouteHeaderView[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _RouteHeaderView[key];
    }
  });
});

var _RouteViewPortal = require("./components/RouteViewPortal");

Object.keys(_RouteViewPortal).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _RouteViewPortal[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _RouteViewPortal[key];
    }
  });
});

var _RouteViewEvents = require("./components/RouteViewEvents");

Object.keys(_RouteViewEvents).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _RouteViewEvents[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _RouteViewEvents[key];
    }
  });
});

var _withRouteViewLifecycle = require("./hoc/withRouteViewLifecycle");

Object.keys(_withRouteViewLifecycle).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _withRouteViewLifecycle[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _withRouteViewLifecycle[key];
    }
  });
});

var _useNavRouteEvents = require("./hooks/useNavRouteEvents");

Object.keys(_useNavRouteEvents).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _useNavRouteEvents[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _useNavRouteEvents[key];
    }
  });
});

var _NavRouteViewContext = require("./context/NavRouteViewContext");

Object.keys(_NavRouteViewContext).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _NavRouteViewContext[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _NavRouteViewContext[key];
    }
  });
});

var _NavigatorUIConstantsContext = require("./context/NavigatorUIConstantsContext");

Object.keys(_NavigatorUIConstantsContext).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _NavigatorUIConstantsContext[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _NavigatorUIConstantsContext[key];
    }
  });
});

var _RNINavigatorView = require("./native_components/RNINavigatorView");

var _RNINavigatorRouteView = require("./native_components/RNINavigatorRouteView");

var _RNINavigatorRouteHeaderView = require("./native_components/RNINavigatorRouteHeaderView");

var _RNINavigatorRouteViewModule = require("./native_modules/RNINavigatorRouteViewModule");

var _RNINavigatorViewModule = require("./native_modules/RNINavigatorViewModule");

var _RouteOptions = require("./types/RouteOptions");

Object.keys(_RouteOptions).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _RouteOptions[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _RouteOptions[key];
    }
  });
});

var _NavigationObject = require("./types/NavigationObject");

Object.keys(_NavigationObject).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _NavigationObject[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _NavigationObject[key];
    }
  });
});

var _RouteSearchControllerConfig = require("./types/RouteSearchControllerConfig");

Object.keys(_RouteSearchControllerConfig).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _RouteSearchControllerConfig[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _RouteSearchControllerConfig[key];
    }
  });
});

var _NavBarAppearanceConfig = require("./types/NavBarAppearanceConfig");

Object.keys(_NavBarAppearanceConfig).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _NavBarAppearanceConfig[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _NavBarAppearanceConfig[key];
    }
  });
});

var _MiscTypes = require("./types/MiscTypes");
//# sourceMappingURL=index.js.map