"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.RNIWrapperView = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

const COMPONENT_NAME = 'RNIWrapperView';
const NativeComponent = (0, _reactNative.requireNativeComponent)(COMPONENT_NAME);
const NativeCommands = // @ts-ignore
_reactNative.UIManager[COMPONENT_NAME].Commands;

class RNIWrapperView extends _react.default.PureComponent {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "nativeRef", void 0);

    _defineProperty(this, "_handleNativeRef", ref => {
      this.nativeRef = ref;
    });

    _defineProperty(this, "notifyComponentWillUnmount", isManuallyTriggered => {
      _reactNative.UIManager.dispatchViewManagerCommand((0, _reactNative.findNodeHandle)(this.nativeRef), NativeCommands.notifyComponentWillUnmount, [{
        isManuallyTriggered
      }]);
    });
  }

  render() {
    const props = this.props;
    return /*#__PURE__*/_react.default.createElement(NativeComponent, { ...props,
      ref: this._handleNativeRef
    });
  }

}

exports.RNIWrapperView = RNIWrapperView;
;
//# sourceMappingURL=RNIWrapperView.js.map