function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React from 'react';
import { requireNativeComponent, UIManager, findNodeHandle } from 'react-native';
const COMPONENT_NAME = 'RNIWrapperView';
const NativeComponent = requireNativeComponent(COMPONENT_NAME);
const NativeCommands = // @ts-ignore
UIManager[COMPONENT_NAME].Commands;
export class RNIWrapperView extends React.PureComponent {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "nativeRef", void 0);

    _defineProperty(this, "_handleNativeRef", ref => {
      this.nativeRef = ref;
    });

    _defineProperty(this, "notifyComponentWillUnmount", isManuallyTriggered => {
      UIManager.dispatchViewManagerCommand(findNodeHandle(this.nativeRef), NativeCommands.notifyComponentWillUnmount, [{
        isManuallyTriggered
      }]);
    });
  }

  render() {
    const props = this.props;
    return /*#__PURE__*/React.createElement(NativeComponent, { ...props,
      ref: this._handleNativeRef
    });
  }

}
;
//# sourceMappingURL=RNIWrapperView.js.map