import React from 'react';
import type { NavigatorRouteViewProps } from './NavigatorRouteView';
import type { RouteViewPortal } from './RouteViewPortal';
import type { NavigationObject } from '../types/NavigationObject';
declare type RouteComponentsWrapperProps = Required<Pick<NavigatorRouteViewProps, 'renderNavBarLeftItem' | 'renderNavBarRightItem' | 'renderNavBarTitleItem'>> & {
    navigation: NavigationObject;
    getPortalRef: () => RouteViewPortal;
};
/**
 * This component is used to hold `NavigatorRouteView`'s navigation bar items, and the
 * other route-related comp. such as the route header.
 *
 * This component needs to wrap the route component items so that they can re-render
 * and update when needed.
 *
 * This component receives the route component items from `RouteViewPortal`. Whenever
 * `RouteViewPortal` updates, this comp. will also update, causing the nav. bar items
 * to re-render and update.
 */
export declare class RouteComponentsWrapper extends React.Component<RouteComponentsWrapperProps> {
    private _routeViewPortalRef;
    componentDidMount(): void;
    setPortalRef: (portalRef: RouteViewPortal) => void;
    requestUpdate(): void;
    render(): JSX.Element;
}
export {};
