export declare type ComparisonConfig<T> = {
    [K in keyof Required<T>]: {
        mode: "shallow" | "shallowObject" | "ignore";
    } | {
        mode: "custom";
        customCompare: (itemA?: T[K], itemB?: T[K]) => boolean;
    };
};
export declare class CompareUtilities {
    /** if one value is null, and the other isn't, then they aren't the same.
     * Returns true if they're the same, false if different.
    */
    static compareItemsNull(itemA?: any, itemB?: any): boolean;
    static isBothNull(itemA: any, itemB: any): boolean;
    static compareArraySimple(itemA: Array<any>, itemB: Array<any>): boolean;
    static shallowCompareObject<T extends Object>(itemA: T, itemB: T): boolean;
    static compareObject<T extends Object>(propertyMap: ComparisonConfig<T>, oldItem: T, newItem: T): boolean;
}
