declare type EventListener = (data?: any) => void;
/** shim that tries to match the ts's builtin `enum` type */
export declare type Enum = {
    [key: string]: string;
};
export declare class EventEmitter<EventsT extends keyof Enum> {
    /** Store the event listeners */
    private events;
    constructor();
    addListener(eventKey: EventsT | string, listener: EventListener): void;
    removeListener(eventKey: EventsT | string, listenerToRemove: EventListener): void;
    once(eventKey: EventsT | string, listener: EventListener): void;
    removeAllListeners(): void;
    emit(eventKey: EventsT | string, data: any): void;
}
export {};
