import type { onPressNavBarItem, onRoutePopEvent, onRoutePushEvent } from 'src/native_components/RNINavigatorRouteView';
import type { NavRouteEvents } from '../components/NavigatorRouteView';
/** Route push/pop events */
declare type NavRouteLifeCycleEvents = (NavRouteEvents.onRouteWillPush | 'onRouteWillPush') | (NavRouteEvents.onRouteDidPush | 'onRouteDidPush') | (NavRouteEvents.onRouteWillPop | 'onRouteWillPop') | (NavRouteEvents.onRouteDidPop | 'onRouteDidPop') | (NavRouteEvents.onRouteWillFocus | 'onRouteWillFocus') | (NavRouteEvents.onRouteDidFocus | 'onRouteDidFocus') | (NavRouteEvents.onRouteWillBlur | 'onRouteWillBlur') | (NavRouteEvents.onRouteDidBlur | 'onRouteDidBlur');
/** Route navigation bar item events */
declare type NavBarItemEvents = (NavRouteEvents.onPressNavBarLeftItem | 'onPressNavBarLeftItem') | (NavRouteEvents.onPressNavBarRightItem | 'onPressNavBarRightItem');
export declare function useNavRouteLifeCycle(eventName: NavRouteLifeCycleEvents, handler: onRoutePushEvent | onRoutePopEvent): void;
export declare function useNavBarItemEvents(eventName: NavBarItemEvents, handler: onPressNavBarItem): void;
export {};
