import { ViewStyle, StyleProp } from 'react-native';
export declare type HeaderHeightValue = number | 'navigationBar' | 'statusBar' | 'navigationBarWithStatusBar' | 'safeArea' | 'none';
export declare type RouteHeaderConfig = {
    headerMode: 'fixed';
    headerHeight?: HeaderHeightValue;
} | {
    headerMode: 'resize';
    headerHeightMin?: HeaderHeightValue;
    headerHeightMax?: HeaderHeightValue;
};
/** `RNINavigatorView` native comp. props */
export declare type RNINavigatorRouteHeaderViewProps = {
    style: StyleProp<ViewStyle>;
    nativeID: string;
    config?: RouteHeaderConfig;
    headerTopPadding?: HeaderHeightValue;
};
export declare const RNINavigatorRouteHeaderView: import("react-native").HostComponent<RNINavigatorRouteHeaderViewProps>;
